public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
To: git-commits@fedoraproject.org
Subject: [rpms/gcc] rhel-f41-base: Import RHEL's regression test for #1965951
Date: Mon, 29 Jun 2026 12:29:21 GMT [thread overview]
Message-ID: <178273616175.1.11638128016657309532.rpms-gcc-c603d8434856@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : rpms/gcc
Branch : rhel-f41-base
Commit : c603d8434856f984eb1d586813750d2a5e8e33f4
Author : Václav Kadlčík <vkadlcik@redhat.com>
Date : 2021-07-09T15:36:20+02:00
Stats : +83/-0 in 3 file(s)
URL : https://src.fedoraproject.org/rpms/gcc/c/c603d8434856f984eb1d586813750d2a5e8e33f4?branch=rhel-f41-base
Log:
Import RHEL's regression test for #1965951
---
diff --git a/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/main.fmf b/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/main.fmf
new file mode 100644
index 0000000..c699de0
--- /dev/null
+++ b/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/main.fmf
@@ -0,0 +1,16 @@
+summary: Test for BZ#1965951 (Wrong-code regression starting with gcc 8.5)
+description: |
+ Bug summary: Wrong-code regression starting with gcc 8.5
+ Bugzilla link: https://bugzilla.redhat.com/show_bug.cgi?id=1965951
+contact: Vaclav Kadlcik <vkadlcik@redhat.com>
+component:
+- gcc
+test: ./runtest.sh
+framework: beakerlib
+recommend:
+- gcc-c++
+duration: 15m
+link:
+- relates: https://bugzilla.redhat.com/show_bug.cgi?id=1965951
+extra-summary: /tools/gcc/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5
+extra-task: /tools/gcc/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5
diff --git a/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/reproducer.cc b/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/reproducer.cc
new file mode 100644
index 0000000..40b0c81
--- /dev/null
+++ b/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/reproducer.cc
@@ -0,0 +1,12 @@
+#include <iostream>
+struct S1 { virtual ~S1() = default; };
+struct S2 { virtual void f1() = 0; };
+struct S3: S1, S2 {
+ void f1() { f2(); }
+ virtual void f2() = 0;
+};
+struct S4: S3 {
+ void f2() { std::cout << "called\n"; }
+ using S2::f1;
+};
+int main() { S4().f1(); }
diff --git a/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/runtest.sh b/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/runtest.sh
new file mode 100755
index 0000000..d8d69d0
--- /dev/null
+++ b/tests/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5/runtest.sh
@@ -0,0 +1,55 @@
+#!/usr/bin/env bash
+# vim: dict+=/usr/share/beakerlib/dictionary.vim cpt=.,w,b,u,t,i,k
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# runtest.sh of /tools/gcc/Regression/bz1965951-Wrong-code-regression-starting-with-gcc-8-5
+# Description: Test for BZ#1965951 (Wrong-code regression starting with gcc 8.5)
+# Author: Vaclav Kadlcik <vkadlcik@redhat.com>
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+#
+# Copyright (c) 2021 Red Hat, Inc.
+#
+# This program is free software: you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation, either version 2 of
+# the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+# PURPOSE. See the GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see http://www.gnu.org/licenses/.
+#
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+
+# Include Beaker environment
+. /usr/share/beakerlib/beakerlib.sh || exit 1
+
+GCC="${GCC:-$(type -P gcc)}"
+PACKAGE=$(rpm --qf '%{name}\n' -qf $GCC | head -1)
+PACKAGES="${PACKAGE} ${PACKAGE}-c++"
+
+rlJournalStart
+ rlPhaseStartSetup
+ rlLogInfo "PACKAGES=$PACKAGES"
+ rlRun "dnf -y install $PACKAGES" 0-255
+ rlAssertRpm --all
+ rlRun "TmpDir=\$(mktemp -d)"
+ rlRun "cp reproducer.cc $TmpDir"
+ rlRun "pushd $TmpDir"
+ rlPhaseEnd
+
+ rlPhaseStartTest
+ rlRun 'g++ -o reproducer reproducer.cc'
+ rlRun './reproducer'
+ rlPhaseEnd
+
+ rlPhaseStartCleanup
+ rlRun 'popd'
+ rlRun "rm -r $TmpDir"
+ rlPhaseEnd
+rlJournalPrintText
+rlJournalEnd
reply other threads:[~2026-06-29 12:29 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178273616175.1.11638128016657309532.rpms-gcc-c603d8434856@fedoraproject.org \
--to=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox